<?php

/*
Plugin Name: Maštalizátor
Plugin URI:  http://yablko.sk
Description: Zmaštalizuj to, buď chlap!
Version:     0.01
Author:      Tomáš Maštalír
Author URI:  http://yablko.sk
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/


/**
 * CSS
 */
add_action( 'wp_enqueue_scripts', 'mastal_scripts_and_styles' );
function mastal_scripts_and_styles()
{
	wp_enqueue_style( 'mastal-style',  plugin_dir_url( __FILE__ ) . 'css/mastalir.css' );
}


/**
 * SEXIFY CONTENT
 */
add_filter( 'the_content', 'mastal_sexify_content' );
function mastal_sexify_content( $content )
{
	// vyber nahodneho tomasa
	$tomases = glob( plugin_dir_path( __FILE__ ) .'tomasovia/' . '*.{jpg,jpeg,png}', GLOB_BRACE);
	$the_one = basename( $tomases[array_rand($tomases)] );

	// prihod ho na koniec clanku
	$content .= '<p class="rainbow">
		<img src="'. plugin_dir_url( __FILE__ ) .'tomasovia/'. $the_one .'" alt="">
	</p>';

	return $content;
}

